安装Imagemagick

安装依赖   

yum install tcl-devel.x86_64 libpng-devel.x86_64 libjpeg-devel.x86_64 ghostscript-devel.x86_64 bzip2-devel.x86_64 freetype-devel.x86_64 libtiff-devel.x86_64

   

yum install libjpeg-devel.x86_64 libpng-devel.x86_64 glib2-devel.x86_64 fontconfig-devel.x86_64 zlib-devel.x86_64 libwmf-devel.x86_64 freetype-devel.x86_64 libtiff-devel.x86_64



安装步骤:

               1、先安装jpegsrc(下载地址:http://www.imagemagick.org/download/delegates/

                       1)解压

                       2) ./configure �Cprefix=/usr

                       3)make && make install

              2、安装Imagemagick

                       1) wget     http://www.imagemagick.org/download/ImageMagick.tar.gz

                       2)./configure --prefix=/usr/local/ImageMagick --with-bzlib=yes --with-fontconfig=yes --with-freetype=yes --with-gslib=yes --with-gvc=yes --with-jpeg=yes --with-jp2=yes --with-png=yes --with-tiff=yes

                       3) make && make install

踩过的坑:1、 报错信息:  wrong jpeg library version :library is 62 ,caller expets 90    解决办法:  rm -f /usr/lib64/libjpeg.so.62 
                                                                                                                                           ln -sv /usr/lib/libjpeg.so.9.2.0 /usr/lib64/libjpeg.so.62

               2、报错信息 : make的时候报错     Can't locate ExtUtils/MakeMaker.pm                          解决办法:yum install perl-ExtUtils-CBuilder perl-ExtUtils-MakeMaker

相关文章

相关标签/搜索